org.eclipse.january.metadata

## Interface AxesMetadata

- All Superinterfaces:
    Cloneable, MetadataType, Serializable

      public interface AxesMetadata
      extends MetadataType

  This metadata describes any axis information associated with a dataset. Dimension numbers are zero-based, i.e. the first dimension is numbered zero.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAxis(int axisDim, ILazyDataset axisData)` Add axis data to given dimension.
    `void` | `addAxis(int primaryAxisDim, ILazyDataset axisData, int... dimMapping)` Add axis data to given dimension.
    `ILazyDataset[]` | `getAxes()` Get axis datasets
    `ILazyDataset[]` | `getAxis(int axisDim)` Get all axis datasets for the given dimension
    `void` | `initialize(int rank)`
    `int[]` | `refresh(int[] shape)` Refresh with given shape
    `void` | `setAxis(int axisDim, ILazyDataset... axisData)` Set axis datasets for given dimension.

    - ### Methods inherited from interface org.eclipse.january.metadata.MetadataType

      `clone`

- - ### Method Detail

    - #### initialize

          void initialize(int rank)

      Parameters:
        `rank` -

    - #### getAxes

          ILazyDataset[] getAxes()

      Get axis datasets
      Returns:
        all axis datasets, any nulls represent default integer indexes, each axis is the main specified axis. i.e the result of getAxis(n)[0]

    - #### getAxis

          ILazyDataset[] getAxis(int axisDim)

      Get all axis datasets for the given dimension
      Parameters:
        `axisDim` - dimension (n.b. this is zero-based)
      Returns:
        axis datasets, null represent default integer indexes, the order is in inverse importance.

    - #### setAxis

          void setAxis(int axisDim,
                     ILazyDataset... axisData)

      Set axis datasets for given dimension. These datasets must be one dimensional or match rank with the associating dataset
      Parameters:
        `axisDim` -
        `axisData` -

    - #### addAxis

          void addAxis(int axisDim,
                     ILazyDataset axisData)

      Add axis data to given dimension. This dataset must be one dimensional or match rank with the associating dataset
      Parameters:
        `axisDim` - dimension (n.b. this is zero-based)
        `axisData` - dataset for axis

    - #### addAxis

          void addAxis(int primaryAxisDim,
                     ILazyDataset axisData,
                     int... dimMapping)

      Add axis data to given dimension. This dataset must be one dimensional or match rank with the associating dataset
      Parameters:
        `primaryAxisDim` - dimension (n.b. this is zero-based)
        `axisData` - dataset for axis
        `dimMapping` - indicates where each axis dimension maps to in the dataset dimensions

    - #### refresh

          int[] refresh(int[] shape)

      Refresh with given shape
      Parameters:
        `shape` -
      Returns:
        new shape

Copyright © 2014–2018 Eclipse Foundation. All rights reserved.